Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class AttributeMap

    java.lang.Object
      weblogic.apache.xerces.dom.NamedNodeMapImpl
          weblogic.apache.xerces.dom.AttributeMap

All Implemented Interfaces:
  Serializable, NamedNodeMap

Deprecated. please use JDK supplied XML parsers and transformers

    public class AttributeMap

extends NamedNodeMapImpl

AttributeMap inherits from NamedNodeMapImpl and extends it to deal with the specifics of storing attributes. These are:

- managing ownership of attribute nodes
- managing default attributes
- firing mutation events

This class doesn't directly support mutation events, however, it notifies the document when mutations are performed so that the document class do so.

See Also:
  Serialized Form

Field Summary

Fields inherited from class weblogic.apache.xerces.dom.NamedNodeMapImpl
`CHANGED, flags, HASDEFAULTS, nodes, ownerNode, READONLY`

Constructor Summary
`protected` | `AttributeMap(ElementImpl ownerNode, NamedNodeMapImpl defaults)` Deprecated. Constructs a named node map.

Method Summary
`protected void` | `cloneContent(NamedNodeMapImpl srcmap)` Deprecated. Override parent's method to set the ownerNode correctly
`NamedNodeMapImpl` | `cloneMap(NodeImpl ownerNode)` Deprecated. Cloning a NamedNodeMap is a DEEP OPERATION; it always clones all the nodes contained in the map.
`protected Node` | `internalRemoveNamedItem(String name, boolean raiseEx)` Deprecated. Internal removeNamedItem method allowing to specify whether an exception must be thrown if the specified name is not found.
`protected Node` | `internalRemoveNamedItemNS(String namespaceURI, String name, boolean raiseEx)` Deprecated. Internal removeNamedItemNS method allowing to specify whether an exception must be thrown if the specified local name and namespace URI is not found.
`protected void` | `reconcileDefaults(NamedNodeMapImpl defaults)` Deprecated. Get this AttributeMap in sync with the given "defaults" map.
`protected Node` | `removeItem(Node item, boolean addDefault)` Deprecated. NON-DOM: Remove the node object NOTE: Specifically removes THIS NODE -- not the node with this name, nor the node with these contents.
`Node` | `removeNamedItem(String name)` Deprecated.
`Node` | `removeNamedItemNS(String namespaceURI, String name)` Deprecated. Introduced in DOM Level 2.
`Node` | `setNamedItem(Node arg)` Deprecated. Adds an attribute using its nodeName attribute.
`Node` | `setNamedItemNS(Node arg)` Deprecated. Adds an attribute using its namespaceURI and localName.

Methods inherited from class weblogic.apache.xerces.dom.NamedNodeMapImpl
`addItem, cloneMap, findNamePoint, findNamePoint, getItem, getLength, getNamedItem, getNamedItemNS, item, removeAll, removeItem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeMap

    protected AttributeMap(ElementImpl ownerNode,
                           NamedNodeMapImpl defaults)

  Deprecated.
  Constructs a named node map.

Method Detail

### setNamedItem

    public Node setNamedItem(Node arg)
                      throws DOMException

  Deprecated.
  Adds an attribute using its nodeName attribute.

  Specified by:
    `setNamedItem` in interface `NamedNodeMap`
  Overrides:
    `setNamedItem` in class `NamedNodeMapImpl`
  Parameters:
    `arg` - An Attr node to store in this map.
  Returns:
    If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned.
  Throws:
    `DOMException` - The exception description.
  See Also:
    `NamedNodeMap.setNamedItem(org.w3c.dom.Node)`

### setNamedItemNS

    public Node setNamedItemNS(Node arg)
                        throws DOMException

  Deprecated.
  Adds an attribute using its namespaceURI and localName.

  Specified by:
    `setNamedItemNS` in interface `NamedNodeMap`
  Overrides:
    `setNamedItemNS` in class `NamedNodeMapImpl`
  Parameters:
    `arg` - A node to store in a named node map.
  Returns:
    If the new Node replaces an existing node the replaced Node is returned, otherwise null is returned.
  Throws:
    `DOMException`
  See Also:
    `NamedNodeMap.setNamedItem(org.w3c.dom.Node)`

### removeNamedItem

    public Node removeNamedItem(String name)
                         throws DOMException

  Deprecated.
  Specified by:
    `removeNamedItem` in interface `NamedNodeMap`
  Overrides:
    `removeNamedItem` in class `NamedNodeMapImpl`
  Throws:
    `DOMException`

### removeItem

    protected Node removeItem(Node item,
                              boolean addDefault)
                       throws DOMException

  Deprecated.
  NON-DOM: Remove the node object NOTE: Specifically removes THIS NODE -- not the node with this name, nor the node with these contents. If node does not belong to this named node map, we throw a DOMException.

  Parameters:
    `item` - The node to remove
    `addDefault` - true -- magically add default attribute
  Returns:
    Removed node
  Throws:
    `DOMException`

### internalRemoveNamedItem

    protected final Node internalRemoveNamedItem(String name,
                                                 boolean raiseEx)

  Deprecated.
  Internal removeNamedItem method allowing to specify whether an exception must be thrown if the specified name is not found.

### removeNamedItemNS

    public Node removeNamedItemNS(String namespaceURI,
                                  String name)
                           throws DOMException

  Deprecated.
  Introduced in DOM Level 2.

  Removes an attribute specified by local name and namespace URI.

  Specified by:
    `removeNamedItemNS` in interface `NamedNodeMap`
  Overrides:
    `removeNamedItemNS` in class `NamedNodeMapImpl`
  Parameters:
    `namespaceURI` - The namespace URI of the node to remove. When it is null or an empty string, this method behaves like removeNamedItem.
    `The` - local name of the node to remove. If the removed attribute is known to have a default value, an attribute immediately appears containing the default value.
  Returns:
    Node The node removed from the map if a node with such a local name and namespace URI exists.
  Throws:
    `NOT_FOUND_ERR:` - Raised if there is no node named name in the map.
    `DOMException`

### internalRemoveNamedItemNS

    protected final Node internalRemoveNamedItemNS(String namespaceURI,
                                                   String name,
                                                   boolean raiseEx)

  Deprecated.
  Internal removeNamedItemNS method allowing to specify whether an exception must be thrown if the specified local name and namespace URI is not found.

### cloneMap

    public NamedNodeMapImpl cloneMap(NodeImpl ownerNode)

  Deprecated.
  Cloning a NamedNodeMap is a DEEP OPERATION; it always clones all the nodes contained in the map.

  Overrides:
    `cloneMap` in class `NamedNodeMapImpl`

### cloneContent

    protected void cloneContent(NamedNodeMapImpl srcmap)

  Deprecated.
  Override parent's method to set the ownerNode correctly

  Overrides:
    `cloneContent` in class `NamedNodeMapImpl`

### reconcileDefaults

    protected void reconcileDefaults(NamedNodeMapImpl defaults)

  Deprecated.
  Get this AttributeMap in sync with the given "defaults" map.

  Parameters:
    `defaults` - The default attributes map to sync with.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD